import 'package:flutter/material.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';
import 'package:initial_folder/widgets/login_regist/default_button.dart';

showInfoDialog(BuildContext context) {
  showDialog(
    context: context,
    builder: (BuildContext context) {
      return Dialog(
        elevation: 0.0,
        backgroundColor: Theme.of(context).colorScheme.background,
        shape:
            RoundedRectangleBorder(borderRadius: BorderRadius.circular(14.0)),
        child: Container(
          width: getProportionateScreenHeight(1),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              Align(
                alignment: Alignment.topRight,
                child: IconButton(
                  padding: EdgeInsets.all(0),
                  onPressed: () {
                    Navigator.pop(context);
                  },
                  icon: Icon(Icons.clear_rounded),
                ),
              ),
              SizedBox(height: getProportionateScreenHeight(15)),
              Padding(
                padding: EdgeInsets.symmetric(
                    horizontal: getProportionateScreenHeight(10)),
                child: Image.asset("assets/images/no_sertif_preview.png"),
              ),
              SizedBox(height: getProportionateScreenHeight(15)),
              Padding(
                padding: EdgeInsets.symmetric(
                    horizontal: getProportionateScreenHeight(10)),
                child: Text(
                  "Nomor sertifikat terletak dikiri atas sertifikat, dibawah logo vocasia.",
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    fontSize: getProportionateScreenHeight(11),
                  ),
                ),
              ),
              SizedBox(height: getProportionateScreenHeight(20)),
              Padding(
                padding: EdgeInsets.symmetric(
                    horizontal: getProportionateScreenWidth(20)),
                child: DefaultButton(
                    text: "OKE",
                    press: () {
                      Navigator.pop(context);
                    }),
              ),
              SizedBox(height: getProportionateScreenHeight(30)),
            ],
          ),
        ),
      );
    },
  );
}
